Amazon RDS for PostgreSQL Supports New Minor Versions 10.5, 9.6.10, 9.5.14, 9.4.19, and 9.3.24 for AWS GovCloud (US)



Following the recent announcement of updates to the PostgreSQL database, we have updated Amazon RDS for PostgreSQL to support PostgreSQL minor versions 10.5, 9.6.10, 9.5.14, 9.4.19, and 9.3.24 in the AWS GovCloud (US) region. This release fixes PostgreSQL security vulnerabilities included in current and previous minor releases by the PostgreSQL community and contains additional bug fixes and improvements.

With this update, we have also added support for extensions pglogical version 2.2.0 and pg_similarity version 1.0 in PostgreSQL 10.5 and 9.6.10; pageinspect version 1.6 extension is supported with PostgreSQL 10.5; Map Box Vector Tiles in PostGIS with libprotobuf-c is supported with PostgreSQL 10.5; wal2json has been updated to 01c5c1ec in PostgreSQL 10.5 and 9.6.10; and pg_hint_plan has been updated to 1.3.1 and 1.2.3.

Amazon RDS for PostgreSQL makes it easy to set up, operate, and scale PostgreSQL deployments in the cloud. Learn more about upgrading your database instances from the Amazon RDS User Guide. See Amazon RDS for PostgreSQL Pricing for regional availability.

Source:: Amazon AWS